| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
GaudiKernel.Configurable.ConfigurableAlgorithm Class Reference
Inheritance diagram for GaudiKernel.Configurable.ConfigurableAlgorithm:
[legend]
Collaboration diagram for GaudiKernel.Configurable.ConfigurableAlgorithm:
[legend]

## Public Member Functions
def | __init__ (self, name=Configurable.DefaultName)
def | __deepcopy__ (self, memo)
def | getHandle (self)
def | getGaudiType (cls)
def | getJobOptName (self)
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
Public Member Functions inherited from GaudiKernel.Configurable.Configurable
def | __new__ (cls, *args, **kwargs)
def | __getstate__ (self)
def | __getnewargs__ (self)
def | __setstate__ (self, dict)
def | __len__ (self)
def | __iter__ (self)
def | __iadd__ (self, configs, descr=None)
def | __getattr__ (self, attr)
def | __setattr__ (self, name, value)
def | __delattr__ (self, attr)
def | __nonzero__ (self)
def | remove (self, items)
def | removeAll (self)
def | copyChild (self, child)
def | setParent (self, parentName)
def | getParent (self)
def | hasParent (self, parent)
def | copyChildAndSetParent (self, cfg, parent)
def | getChildren (self)
def | getTools (self)
def | children (self)
def | getAllChildren (self)
def | getSequence (self)
def | setup (self)
def | getProperties (self)
def | getPropertiesWithDescription (self)
def | getValuedProperties (self)
def | properties (self)
def | getDefaultProperties (cls)
def | getDefaultProperty (cls, name)
def | getProp (self, name)
def | setProp (self, name, value)
def | isPropertySet (self, name)
def | getType (cls)
def | getName (self)
def | name (self)
def | isPublic (self)
def | jobOptName (self)
def | getFullName (self)
def | getFullJobOptName (self)
def | getPrintTitle (self)
def | getTitleName (self)
def | setDefaults (cls, handle)
def | clone (self, name=None, **kwargs)
def | splitName (self)
def | addTool (self, tool, name=None)
def | __repr__ (self)
def | __str__ (self, indent=0, headerLastIndentUnit=indentUnit)

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Private Attributes
| _jobOptName

## Static Private Attributes
dictionary | __slots__

## Additional Inherited Members
Static Public Attributes inherited from GaudiKernel.Configurable.Configurable
| propertyNoValue
string | indentUnit = '| '
int | printHeaderWidth = 100
int | printHeaderPre = 5
dictionary | allConfigurables
dictionary | configurableServices

## Detailed Description

Definition at line 1062 of file Configurable.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiKernel.Configurable.ConfigurableAlgorithm.__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`
| ) |  |

Reimplemented from GaudiKernel.Configurable.Configurable.

Definition at line 1078 of file Configurable.py.

1078 def __init__(self, name=Configurable.DefaultName):
1079 super(ConfigurableAlgorithm, self).__init__(name)
1080 name = self.getName()
1081 self._jobOptName = name[name.find('/') + 1:] # strips class
1082

## Member Function Documentation

## ◆ __and__()

def GaudiKernel.Configurable.ConfigurableAlgorithm.__and__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 1097 of file Configurable.py.

1097 def __and__(self, rhs):
1098 if rhs is CFTrue:
1099 return self
1100 elif rhs is CFFalse:
1101 return CFFalse
1102 return AndNode(self, rhs)
1103

## ◆ __deepcopy__()

def GaudiKernel.Configurable.ConfigurableAlgorithm.__deepcopy__ | ( |  | self,
|  |  | memo
| ) |  |

Reimplemented from GaudiKernel.Configurable.Configurable.

Definition at line 1083 of file Configurable.py.

1083 def __deepcopy__(self, memo):
1084 return self # algorithms are always shared
1085

## ◆ __eq__()

def GaudiKernel.Configurable.ConfigurableAlgorithm.__eq__ | ( |  | self,
|  |  | other
| ) |  |

Definition at line 1125 of file Configurable.py.

1125 def __eq__(self, other):
1126 return (repr(self) == repr(other))
1127
1128

## ◆ __invert__()

def GaudiKernel.Configurable.ConfigurableAlgorithm.__invert__ | ( |  | self | ) |

Definition at line 1111 of file Configurable.py.

1111 def __invert__(self):
1112 return InvertNode(self)
1113

## ◆ __or__()

def GaudiKernel.Configurable.ConfigurableAlgorithm.__or__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 1104 of file Configurable.py.

1104 def __or__(self, rhs):
1105 if rhs is CFFalse:
1106 return self
1107 elif rhs is CFTrue:
1108 return CFTrue
1109 return OrNode(self, rhs)
1110

## ◆ __rshift__()

def GaudiKernel.Configurable.ConfigurableAlgorithm.__rshift__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 1114 of file Configurable.py.

1114 def __rshift__(self, rhs):
1115 return OrderedNode(self, rhs)
1116

## ◆ _visitSubNodes()

def GaudiKernel.Configurable.ConfigurableAlgorithm._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Definition at line 1122 of file Configurable.py.

1122 def _visitSubNodes(self, visitor):
1123 pass
1124

## ◆ getGaudiType()

def GaudiKernel.Configurable.ConfigurableAlgorithm.getGaudiType | ( |  | cls | ) |

Definition at line 1090 of file Configurable.py.

1090 def getGaudiType(cls):
1091 return 'Algorithm'
1092

## ◆ getHandle()

def GaudiKernel.Configurable.ConfigurableAlgorithm.getHandle | ( |  | self | ) |

Definition at line 1086 of file Configurable.py.

1086 def getHandle(self):
1087 return iAlgorithm(self.getJobOptName())
1088
GaudiPython.GaudiAlgs.iAlgorithm
iAlgorithm
Definition: GaudiAlgs.py:54

## ◆ getJobOptName()

def GaudiKernel.Configurable.ConfigurableAlgorithm.getJobOptName | ( |  | self | ) |

Reimplemented from GaudiKernel.Configurable.Configurable.

Definition at line 1093 of file Configurable.py.

1093 def getJobOptName(self):
1094 return self._jobOptName
1095

## ◆ visitNode()

def GaudiKernel.Configurable.ConfigurableAlgorithm.visitNode | ( |  | self,
|  |  | visitor
| ) |  |

Definition at line 1117 of file Configurable.py.

1117 def visitNode(self, visitor):
1118 visitor.enter(self)
1119 self._visitSubNodes(visitor)
1120 visitor.leave(self)
1121

## Member Data Documentation

## ◆ __slots__

dictionary GaudiKernel.Configurable.ConfigurableAlgorithm.__slots__
| static private

Initial value:
= {
'_jobOptName': 0,
'OutputLevel': 0,
'Enable': 1,
'ErrorMax': 1,
'ErrorCount': 0,
'AuditAlgorithms': 0,
'AuditInitialize': 0,
'AuditReinitialize': 0,
'AuditExecute': 0,
'AuditFinalize': 0,
'AuditBeginRun': 0,
'AuditEndRun': 0
}

Definition at line 1063 of file Configurable.py.

## ◆ _jobOptName

GaudiKernel.Configurable.ConfigurableAlgorithm._jobOptName
| private

Definition at line 1081 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py